Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DataClasses
Class StockOwnership_Data

    java.lang.Object
      DataClasses.StockOwnership_Data

public class StockOwnership_Data
extends java.lang.Object

Author:
  student This class is being used for holding details pertaining to ownership of stocks.

Field Summary
`private java.lang.String` | `lastPurchaseAmount`
`private java.sql.Timestamp` | `lastPurchasedDate`
`private java.lang.String` | `lastPurchaseQty`
`private java.lang.String` | `quantityOwned`
`private java.lang.String` | `stockCode`
`private java.lang.String` | `stockName`
`private java.lang.String` | `totalCost`

Constructor Summary
`StockOwnership_Data(java.lang.String code, java.lang.String name, java.lang.String qty, java.lang.String totalCost, java.sql.Timestamp lastdate, java.lang.String lastAmt, java.lang.String lastQty)` This is the constructor for StockOwnership_Data.java

Method Summary
`java.lang.String` | `getLastPurchaseAmount()` This method is being used for getting the amount spent on the last purchase.
`java.sql.Timestamp` | `getLastPurchasedDate()` This method is being used for getting the time when the last purchase was made.
`java.lang.String` | `getLastPurchaseQty()` This method is being used for getting the last purchase quantity.
`java.lang.String` | `getQuantityOwned()` This method is being used for getting the quantity of stocks owned.
`java.lang.String` | `getStockCode()` This method is being used for getting the stock code.
`java.lang.String` | `getStockName()` Method: getStockName This method is being used for getting the stock name.
`java.lang.String` | `getTotalCost()` This method is being used for getting the total cost of stocks.
`void` | `setLastPurchaseAmount(java.lang.String amt)` Method: setLastPurchaseAmount This method is being used for setting the amount spent on the last purchase.
`void` | `setLastPurchasedDate(java.sql.Timestamp d)` This method is being used for setting the time when the last purchase was made.
`void` | `setLastPurchaseQty(java.lang.String qty)` Method: setLastPurchaseQty This method is being used for setting the last purchase quantity.
`void` | `setQuantityOwned(java.lang.String qty)` This method is being used for setting the quantity of stocks owned.
`void` | `setStockCode(java.lang.String code)` This method is being used for setting the stock code.
`void` | `setStockName(java.lang.String name)` This method is being used for setting the stock name.
`void` | `setTotalCost(java.lang.String d)` This method is being used for setting the total cost of stocks.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lastPurchaseAmount

    private java.lang.String lastPurchaseAmount

### lastPurchasedDate

    private java.sql.Timestamp lastPurchasedDate

### lastPurchaseQty

    private java.lang.String lastPurchaseQty

### quantityOwned

    private java.lang.String quantityOwned

### stockCode

    private java.lang.String stockCode

### stockName

    private java.lang.String stockName

### totalCost

    private java.lang.String totalCost

Constructor Detail

### StockOwnership_Data

    public StockOwnership_Data(java.lang.String code,
                               java.lang.String name,
                               java.lang.String qty,
                               java.lang.String totalCost,
                               java.sql.Timestamp lastdate,
                               java.lang.String lastAmt,
                               java.lang.String lastQty)

  This is the constructor for StockOwnership_Data.java

Method Detail

### getLastPurchaseAmount

    public java.lang.String getLastPurchaseAmount()

  This method is being used for getting the amount spent on the last purchase.

  Returns:
    String The amount spent on the last purchase.

### getLastPurchasedDate

    public java.sql.Timestamp getLastPurchasedDate()

  This method is being used for getting the time when the last purchase was made.

  Returns:
    Timestamp Time when the last purchase was made.

### getLastPurchaseQty

    public java.lang.String getLastPurchaseQty()

  This method is being used for getting the last purchase quantity.

  Returns:
    String The last quantity purchased.

### getQuantityOwned

    public java.lang.String getQuantityOwned()

  This method is being used for getting the quantity of stocks owned.

  Returns:
    String The quantity of owned stocks.

### getStockCode

    public java.lang.String getStockCode()

  This method is being used for getting the stock code.

  Returns:
    String The stock code

### getStockName

    public java.lang.String getStockName()

  Method: getStockName This method is being used for getting the stock name.

  Returns:
    String The name of stock.

### getTotalCost

    public java.lang.String getTotalCost()

  This method is being used for getting the total cost of stocks.

  Returns:
    String The total cost of stocks.

### setLastPurchaseAmount

    public void setLastPurchaseAmount(java.lang.String amt)

  Method: setLastPurchaseAmount This method is being used for setting the amount spent on the last purchase.

  Parameters:
    `amt` - The amount spent on the last purchase.
  Returns:
    void

### setLastPurchasedDate

    public void setLastPurchasedDate(java.sql.Timestamp d)

  This method is being used for setting the time when the last purchase was made.

  Parameters:
    `d` - Time when the last purchase was made.
  Returns:
    void

### setLastPurchaseQty

    public void setLastPurchaseQty(java.lang.String qty)

  Method: setLastPurchaseQty This method is being used for setting the last purchase quantity.

  Parameters:
    `qty` - The quantity of stocks last purchased.
  Returns:
    void

### setQuantityOwned

    public void setQuantityOwned(java.lang.String qty)

  This method is being used for setting the quantity of stocks owned.

  Parameters:
    `qty` - The quantity of owned stocks.
  Returns:
    void

### setStockCode

    public void setStockCode(java.lang.String code)

  This method is being used for setting the stock code.

  Parameters:
    `code` - The stock code
  Returns:
    void

### setStockName

    public void setStockName(java.lang.String name)

  This method is being used for setting the stock name.

  Parameters:
    `name` - The name of the stock
  Returns:
    void

### setTotalCost

    public void setTotalCost(java.lang.String d)

  This method is being used for setting the total cost of stocks.

  Parameters:
    `d` - The total cost of stocks.
  Returns:
    void

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD